/*
 * (c) Copyright Robin Hill 2002
 *
 * For license terms, see the file COPYING in this directory.
 */

#define AUTHOR                  "Robin Hill"
#define EMAIL                   "filerepair@robinhill.me.uk"
#define CONCEPTDATE             "11 Aug 2002"
#define XWARE                   "FREEWARE (GPL)"

#define PROGRAM                 "FILEREPAIR"
#define VERSION                 "1.3.9"

#define STAT_DONE               "Done"
#define STAT_C_CONN             "Connected to server %s"
#define STAT_C_SEND_CRC         "Sending CRCs to server"
#define STAT_C_SEND_CRC_DONE    "Sent CRCs.  Waiting for error count"
#define STAT_C_NO_ERRORS        "There were no errors found"
#define STAT_C_ERR_CNT          "%ld errors were found.  Waiting for data from server"
#define STAT_C_REC_DATA         "Receiving data from server"
#define STAT_C_ERR_REP1         "Fixing no. %d of %d errors"
#define STAT_C_ERR_REP2         "Fixing no. %d of %d errors (Attempt %d)"
#define STAT_S_LISTEN           "Server started and listening\n%s"
#define STAT_S_CONN             "Client connected"
#define STAT_S_COMP_CRC_DONE    "Calculated CRCs.  Waiting for client to send it's CRCs"
#define STAT_S_REC_CRC          "Receiving CRCs from client"
#define STAT_S_REC_CRC_DONE     "Received CRCs.  Calculating errors"
#define STAT_S_NO_ERRORS        "There were no errors in the client's file"
#define STAT_S_ERR_CNT          "There are %d errors in the client's files"
#define STAT_S_SEND_DATA        "Sending data to client"
#define STAT_S_ERR_REP1         "Fixing no. %d of %d errors"
#define STAT_S_ERR_REP2         "Fixing no. %d of %d errors (Attempt %d)"
#define STAT_CRC_CREATE_CRC     "Creating CRCs for %s"
#define STAT_CRC_COMP_CRC       "Comparing CRCs"
#define STAT_MD_CREATE          "Creating %s hash for %s"

#define MSG_NET_OK              "OK"
#define MSG_NET_RESEND          "RESEND"
#define MSG_NET_ABORT           "ABORT"
#define MSG_NET_BLOCKSIZE       "BLOCKSIZE "
#define MSG_NET_FILESIZE        "FILESIZE "
#define MSG_NET_ERRORS          "ERRORS "
#define MSG_NET_BLOCK           "BLOCK "

#define ERR_MEM                 "Out of Memory!"
#define ERR_FILE_IO             "%s: %s"
#define ERR_FILE_EXISTS         "File %s already exists."
#define ERR_CHKFILE             "Cannot read %s from checksum file %s"
#define ERR_FILESIZE1           "File size do not match.\nRemote: %" wxLongLongFmtSpec "d\n"
#define ERR_FILESIZE2           "Local:  %" wxLongLongFmtSpec "d"
#define ERR_FILESTAT            "Unable to get file size for %s."
#define ERR_NETWORK             "Network error: %s."
#define ERR_CLNT_DISC           "Client disconnected."
#define ERR_INCOMP_PROG         "Connection from incompatible program."
#define ERR_INCOMP_VER          "Incompatible version."
#define ERR_PROTOCOL            "Network protocol error."
#define ERR_ABORT               "Client aborted operation."
#define ERR_SERVER              "Could not resolve server %s"
#define ERR_FILE_WRITE          "File writing error."
#define ERR_FILE_READ           "File read error."
#define ERR_BLOCK_READ          "Block read from file does not match CRC."
#define ERR_HASH_CREATE         "Error in cryptographic functions."
#define ERR_INVALID_BLOCK       "Invalid block size.  Block size must be greater than zero!"
#define ERR_NO_SERVER           "Could not connect to server"
#define ERR_WINSOCK_VERSION     "Required Winsock version (2.0 or above) not found"
#define ERR_RESIZE              "Unable to resize file - please check you have enough free space.\nSome platforms do not support all resize operations."

#define ALRT_ERR_CNT            "There are %u incorrect block(s) of %u k each"
#define ALRT_ERR_NONE           "There were no errors in the file"
#define ALRT_ERR_TITLE          "Verification results"

#define DEF_BLOCKSIZE           16384u
#define DEF_PORTNUM             5198
#define DEF_ED2KBLOCK           9728000u

#define CRC_POLY                0xEDB88320L //Bit-flipped standard polynomial
#define INITCRC                 0xFFFFFFFFL
#define UINT32_LEN              10
