/*
 * (c) Copyright Robin Hill 2002
 *
 * For license terms, see the file COPYING in this directory.
 */
	
class ProcessThread : public wxThread
{
public:
	ProcessThread(FileRepairDlg *dialog, wxUint32 function);
	void            *Entry();
	bool            CheckExit();

private:
	void SendThreadStart(const wxString message);

	FileRepairDlg   *m_dialog;
	wxUint32        m_function;
};

/* The multithreaded GUI version of the backend process which outputs
 * via event calls to the GUI interface
 */
class FRGUI_BackEnd : public FR_BackEnd
{
public:
	FRGUI_BackEnd(FileRepairDlg *dialog, ProcessThread *thread);

private:
	void SendError(const wxString message);
	void SendAlert(const wxString message);
	void SendProgress(wxInt8 progress);
	void SendStatus(const wxString message);
	void SendServerInfo(const wxString message);
	void SendHash(const wxString message);
	bool CheckExit();
	bool ContinueWrongFilesize(const wxString message);
	void Sleep(unsigned long duration);

	FileRepairDlg   *m_dialog;
	ProcessThread   *m_thread;
};
